<?php
class Creative_Gift_Adminhtml_PointsController extends Mage_Adminhtml_Controller_Action
{
    public function indexAction()
    {  
        // Let's call our initAction method which will set some basic params for each action
        $this->_initAction()
            ->renderLayout();
    }  
     
    public function newAction()
    {  
        // We just forward the new action to a blank edit form
        $this->_forward('edit');
    }  
     
    public function editAction()
    {  
        $this->_initAction();
     
        // Get id if available
        $id  = $this->getRequest()->getParam('id');
        $model = Mage::getModel('creative_gift/points');
     
        if ($id) {
            // Load record
            $model->load($id);
     
            // Check if record is loaded
            if (!$model->getId()) {
                Mage::getSingleton('adminhtml/session')->addError($this->__('This Gift Points no longer exists.'));
                $this->_redirect('*/*/');
     
                return;
            }  
        }  
     
        $this->_title($model->getId() ? $model->getName() : $this->__('New Gift Points'));
     
        $data = Mage::getSingleton('adminhtml/session')->getPointsData(true);
        if (!empty($data)) {
            $model->setData($data);
        }  
     
        Mage::register('creative_gift', $model);
     
        $this->_initAction()
            ->_addBreadcrumb($id ? $this->__('Edit Gift Points') : $this->__('New Gift Points'), $id ? $this->__('Edit Gift Points') : $this->__('New Gift Points'))
            ->_addContent($this->getLayout()->createBlock('creative_gift/adminhtml_points_edit')->setData('action', $this->getUrl('*/*/save')))
            ->renderLayout();
    }
     
    public function saveAction()
    {   //print_r($_POST);die();
        if ($postData = $this->getRequest()->getPost()) {
            
          
            $model = Mage::getSingleton('creative_gift/points');
          
            
            $write = Mage::getSingleton('core/resource')->getConnection('core_read');
            $readresult=$write->query("select * from  creative_gift_points");
            $row = $readresult->fetchAll();
            for($i=0;$i<count($row);$i++){
                $website=$row[$i]['website_id'];
                $catid=$row[$i]['category_ids'];
                $currency=$row[$i]['currency'];
                $status=$row[$i]['status'];
            }
         $postData['category_ids']=implode(",",$postData['category_ids']);
          
           if(($website==$postData['website_id'])&&($catid==$postData['category_ids'])&&($currency==$postData['currency'])&&($status==$postData['status'])){
        //  echo '<pre>'; print_r($postData);die('else');
               Mage::getSingleton('adminhtml/session')->addError('The currency is already exist for this website.');
               $this->_redirect('*/*/');
           }
               else{
              $model->setData($postData);
            
            
            try {
                //echo '<pre>';print_r( $model->save());die();
                $model->save();
 
                Mage::getSingleton('adminhtml/session')->addSuccess($this->__('The Gift Points has been saved.'));
                $this->_redirect('*/*/');
 
                return;
            }  
            catch (Mage_Core_Exception $e) {
                Mage::getSingleton('adminhtml/session')->addError($e->getMessage());
            }
            catch (Exception $e) {
                Mage::getSingleton('adminhtml/session')->addError($this->__('An error occurred while saving this Gift Points.'));
            }
 
            Mage::getSingleton('adminhtml/session')->setPointsData($postData);
            $this->_redirectReferer();
        }
        
        }
    }
    public function deleteAction()
    {
        if ($id = $this->getRequest()->getParam('id')) {
            $diog_collection = Mage::getModel('creative_gift/points')
                ->load($id);
            
            try {
                $diog_collection->delete();
                $this->_getSession()->addSuccess($this->__('The Gift Points has been deleted.'));
            } catch (Exception $e) {
                $this->_getSession()->addError($e->getMessage());
            }
        }
       $this->_redirect('*/*/');
    }
   
     
    public function messageAction()
    {
        $data = Mage::getModel('creative_gift/points')->load($this->getRequest()->getParam('id'));
        echo $data->getContent();
    }
     
    /**
     * Initialize action
     *
     * Here, we set the breadcrumbs and the active menu
     *
     * @return Mage_Adminhtml_Controller_Action
     */
    protected function _initAction()
    {
        $this->loadLayout()
            // Make the active menu match the menu config nodes (without 'children' inbetween)
            ->_setActiveMenu('creative_gift_points')
            ->_title($this->__('Gift Points'))->_title($this->__('Gift Points'))
            ->_addBreadcrumb($this->__('Gift Points'), $this->__('Gift Points'))
            ->_addBreadcrumb($this->__('Gift Points'), $this->__('Gift Points'));
         
        return $this;
    }
     
    /**
     * Check currently called action by permissions for current user
     *
     * @return bool
     */
    protected function _isAllowed()
    {
        return Mage::getSingleton('admin/session')->isAllowed('sales/creative_gift_points');
    }
}